Bug 1508839 - [modularity] list doesn't show enabled modules, but installed and locked only
Summary: [modularity] list doesn't show enabled modules, but installed and locked only
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Hatina
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks: 1478068
TreeView+ depends on / blocked
 
Reported: 2017-11-02 10:46 UTC by Irina Gulina
Modified: 2018-06-28 08:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-13 08:03:50 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Irina Gulina 2017-11-02 10:46:13 UTC
Description of problem:
At the moment only installed and locked modules are shown by list with [i] and [l] notations respectively. It's not fair to enabled modules. Please add [e]. 

Version-Release number of selected component (if applicable):
2.7.3-1.module_76d0cc8b.modularity.2.7493ec8

Actual results:
"Hint: [d]efault, [i]nstalled, [l]ocked" and not clear if modules with no [i] or [l] are enabled or not.

Expected results:
"Hint: [d]efault, [e]enabled, [i]nstalled, [l]ocked", and [e] next to those modules which are enabled.

Comment 1 Martin Hatina 2017-11-07 07:13:13 UTC
Fixed by https://github.com/rpm-software-management/dnf/pull/972

Comment 2 Fedora End Of Life 2018-02-20 15:30:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Jaroslav Mracek 2018-06-28 08:04:14 UTC
The issue is solved by dnf-3.0.1-1 that was released into rawhide.


Note You need to log in before you can comment on or make changes to this bug.